package com.fr.plugin.demo;

import com.fanruan.api.design.DesignKit;
import com.fanruan.api.design.chart.BaseOtherPane;
import com.fanruan.api.design.ui.component.formula.UIFormulaTextField;

import javax.swing.JPanel;
import java.awt.BorderLayout;

/**
 * @author Bjorn
 * @version 10.0
 * Created by Bjorn on 2019-09-06
 */
public class DemoTitlePane extends BaseOtherPane<DemoChart> {

    private UIFormulaTextField title;

    @Override
    public void populate(DemoChart ob) {
        title.populateBean(ob.getTitleFormula().toString());
    }

    @Override
    public void update(DemoChart ob) {
        ob.getTitleFormula().setContent(title.updateBean());
    }

    @Override
    protected JPanel createContentPane() {
        JPanel panel = new JPanel(new BorderLayout(0, 6));
        title = new UIFormulaTextField();
        panel.add(title, BorderLayout.CENTER);
        return panel;
    }

    @Override
    public String title4PopupWindow() {
        return DesignKit.i18nText("Fine-Plugin_Demo_Title");
    }
}
